|
Bugzilla – Full Text Bug Listing |
| Summary: | fglrx support | ||
|---|---|---|---|
| Product: | [openSUSE] SUSE LINUX 10.0 | Reporter: | Hans-Peter Holler <holler> |
| Component: | X.Org | Assignee: | Stefan Dirsch <sndirsch> |
| Status: | RESOLVED FIXED | QA Contact: | E-mail List <qa-bugs> |
| Severity: | Normal | ||
| Priority: | P2 - High | CC: | asklein, vetter |
| Version: | Beta 1 | ||
| Target Milestone: | --- | ||
| Hardware: | Other | ||
| OS: | All | ||
| Whiteboard: | |||
| Found By: | Other | Services Priority: | |
| Business Priority: | Blocker: | --- | |
| Marketing QA Status: | --- | IT Deployment: | --- |
Expect a matching driver will be available for 10.0 final. I'll improve the script, so this cannot occur any more. Thinking about it again I came to the conclusion to leave it this way. I don't want to handle it different from the nvidia link script. |
/lib/modules/scripts/fglrx.sh tests with test -f /usr/X11R6/$libdir/modules/drivers/fglrx_drv.o if [ $? -eq 0 ]; then fver="`strings /usr/X11R6/$libdir/modules/drivers/fglrx_drv.o | \ grep "ATI Proprietary Linux Driver Version Identifier" | cut -d ":" -f 2`" else exit 0 fi if this test succeeds the following is executed: if [ -r /lib/modules/scripts/fglrx/${kver}/fglrx-linux.o-${fver} -a \ -r /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-${fver} ]; then ld $LD_OPTIONS /lib/modules/${kver}/kernel/drivers/char/drm/fglrx.$ext \ /lib/modules/scripts/fglrx/${kver}/fglrx-linux.o-${fver} \ /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-${fver} # Bug 39949 depmod -a ${kver} else echo echo "WARNING: fglrx kernel interface (fglrx-linux.o) or fglrx binary-only" echo " part (libfglrx_ip.a.GCC3) is missing." echo echo "Missing file(s):" test -r /lib/modules/scripts/fglrx/${kver}/fglrx-linux.o-${fver} || echo " /lib/modules/scripts/fglrx/${kver}/fglrx-linux.o-${fver}" test -r /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-${fver} || echo " /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-${fver}" echo exit 1 fi 1st: /lib/modules/scripts/fglrx/${kver}/fglrx-linux.o-8.16.13 exists and don't match with my installed 8.14.13 drivers 2nd: there is no /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-${fver} there is no /lib/modules/scripts/fglrx/libfglrx_ip.a.GCC3-* at all Is this by mistake, will be matching releases available with 10.0 Final (open or not) or am i outdated ("solved with Beta<n, n >= 2>") ?